Dealer

Retrieve current dealer

get

Get details of current dealer.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
idall ofOptional

The unique ID of dealer.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
enabledbooleanOptional

Enable this dealer or not.

Default: true
levelstring · enumOptional

Dealer level includes:

  • DISTRIBUTOR: the first level of dealers.
  • SUB_DISTRIBUTOR: the second level of dealers.
  • RESELLER: the third level of dealers.
Possible values:
namestring · min: 1 · max: 64Optional

The user's account name.
Only letters, numbers, and the following special characters can be added: underscore, dash, single quote, and period (_, -, ', and .).
Username cannot start or end with period (.).
admin, system, administrator, and root are reserved names for system admin only with case ignored.

emailall ofOptional

The email address of user.

string · max: 128Optional

The email address.

Example: [email protected]
display_namestring · max: 1024Optional

The display name of user.

websitestringOptional

The website of user.

phonestring · max: 32Optional

The mobile phone number of user.

addressstring · max: 128Optional

The address.

descriptionstringOptional

The description of dealer.

max_tenantsinteger · int32Optional

The maximum number of tenants that the dealer is allowed to create.

Default: 100
max_extensionsinteger · int32Optional

The maximum number of extensions that the dealer is allowed to create.

Default: 50000
get
/dealer

Update current dealer

post

Modify the settings of the current dealer.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailall ofOptional

The email address of user.

string · max: 128Optional

The email address.

Example: [email protected]
display_namestring · max: 1024Optional

The display name of user.

websitestringOptional

The website of user.

phonestring · max: 32Optional

The mobile phone number of user.

addressstring · max: 128Optional

The address.

descriptionstringOptional

The description of dealer.

Responses
chevron-right
200

OK

No content

post
/dealer

No content